
/* bus.h */

#ifndef BUS_H
#define BUS_H

#include <interfaces/iplugin.h>
#include <interfaces/iuicontroller.h>

/* ----------------------------------------------------------------------- */

namespace Bus {

#ifdef TRACEVIEW
class TraceViewFactory;
#endif

/* ----------------------------------------------------------------------- */

class BusPlugin : public KDevelop::IPlugin
{
   Q_OBJECT

   public:
       BusPlugin (QObject *parent, const QVariantList & args = QVariantList ());
       virtual ~ BusPlugin ();
       virtual void unload ();

   public Q_SLOTS:
      Q_SCRIPTABLE void run ();
      Q_SCRIPTABLE void insertCode (QString url, QString text);

   private:
      #ifdef TRACEVIEW
      TraceViewFactory * m_trace_factory;
      #endif
};

/* ----------------------------------------------------------------------- */

} // end of namespace

/* ----------------------------------------------------------------------- */

#endif // BUS_H
